Pre-Development - Bug #19782

FE - React - User profile and Mleb Function - No validation for mandatory form (modify)
16 February 2024 04:38 PM - Hazimi Muhammad

Status: Closed Start date: 16 February 2024
Priority: Normal Due date:

Assignee: chok yee fan % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour
Description

Form that had no validation:
- User profile form :
Effective date,

Status

-Mleb Function :
Mleb System,
Mleb Status

Issue:

Go to User profile -> Click search button -> Click Modify button -> click all the form -> delete it -> no error while its should be
mandatory.

Expected:

Go to User profile -> Click search button -> Click Modify button -> click all the form -> delete it -> Got error.

History

#1 - 16 February 2024 04:43 PM - Hazimi Muhammad
- File WhatsApp Image 2024-02-16 at 3.24.40 PM.jpeg added

Also implement for ADD at user profile

Form that had no validation:
- User profile form :
Effective date,

Status

#2 - 22 February 2024 03:47 PM - chok yee fan

- Assignee changed from chok yee fan to Amirul Umar Pandai

#3 - 22 February 2024 03:47 PM - chok yee fan

- Assignee changed from Amirul Umar Pandai to Nityanantan Nityanantan

#4 - 23 February 2024 04:58 PM - Nityanantan Nityanantan
- Status changed from New to Resolved

- Assignee changed from Nityanantan Nityanantan to Hazimi Muhammad

nity- validation form for mleb function

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/5f5c71b6e7ee747a8e9b7aled4211e6172da32154
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/5f5c71b6e7ee747a8e9b7a1e4211e6172da32154

#5 - 26 February 2024 10:14 AM - Hazimi Muhammad
- Status changed from Resolved to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan

Issue has been solve

Check the form that had no validation:
Mieb Function :

Mleb System,

Mieb Status

Go to User profile -> Click search button -> Click Modify button -> click all the form -> delete it -> Got error.

#6 - 28 February 2024 04:17 PM - chok yee fan
- Status changed from Feedback to Closed

working as expected

Files

WhatsApp Image 2024-02-16 at 3.06.22 PM.jpeg 101 KB 16 February 2024 Hazimi Muhammad
WhatsApp Image 2024-02-16 at 3.24.40 PM.jpeg 158 KB 16 February 2024 Hazimi Muhammad
WhatsApp Image 2024-02-16 at 3.24.40 PM.jpeg 158 KB 16 February 2024 Hazimi Muhammad
